# Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer Class Reference

List of all members.

## Static Public Member Functions
static void | Reset ()
| Resets the timer.
static void | Start ()
| Starts the timer.
static void | Stop ()
| Stop (or pause) the timer.
static void | Advance ()
| Advance the timer a tenth of a second.
static double | GetAbsoluteTime ()
| Get the absolute system time.
static double | GetTime ()
| Get the current time.
static double | GetElapsedTime ()
| get the time that elapsed between GetElapsedTime() calls
static void | Reset ()
| Resets the timer.
static void | Start ()
| Starts the timer.
static void | Stop ()
| Stop (or pause) the timer.
static void | Advance ()
| Advance the timer a tenth of a second.
static double | GetAbsoluteTime ()
| Get the absolute system time.
static double | GetTime ()
| Get the current time.
static double | GetElapsedTime ()
| get the time that elapsed between GetElapsedTime() calls
static void | Reset ()
| Resets the timer.
static void | Start ()
| Starts the timer.
static void | Stop ()
| Stop (or pause) the timer.
static void | Advance ()
| Advance the timer a tenth of a second.
static double | GetAbsoluteTime ()
| Get the absolute system time.
static double | GetTime ()
| Get the current time.
static double | GetElapsedTime ()
| get the time that elapsed between GetElapsedTime() calls
## Properties
static bool | IsStopped`[get]`
| Returns true if timer stopped.

## Detailed Description

Definition at line 332 of file dxmutmisc.cs.

## Member Function Documentation

static void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.Advance | ( |  | ) | `[static]`

Advance the timer a tenth of a second.

Definition at line 429 of file wdxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.Advance | ( |  | ) | `[static]`

Advance the timer a tenth of a second.

Definition at line 429 of file dxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.Advance | ( |  | ) | `[static]`

Advance the timer a tenth of a second.

Definition at line 429 of file dxmutmisc.cs.

static double Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.GetAbsoluteTime | ( |  | ) | `[static]`

Get the absolute system time.

Definition at line 440 of file wdxmutmisc.cs.

static double Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.GetAbsoluteTime | ( |  | ) | `[static]`

Get the absolute system time.

Definition at line 440 of file dxmutmisc.cs.

static double Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.GetAbsoluteTime | ( |  | ) | `[static]`

Get the absolute system time.

Definition at line 440 of file dxmutmisc.cs.

static double Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.GetElapsedTime | ( |  | ) | `[static]`

get the time that elapsed between GetElapsedTime() calls

Definition at line 478 of file wdxmutmisc.cs.

static double Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.GetElapsedTime | ( |  | ) | `[static]`

get the time that elapsed between GetElapsedTime() calls

Definition at line 478 of file dxmutmisc.cs.

static double Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.GetElapsedTime | ( |  | ) | `[static]`

get the time that elapsed between GetElapsedTime() calls

Definition at line 478 of file dxmutmisc.cs.

static double Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.GetTime | ( |  | ) | `[static]`

Get the current time.

Definition at line 459 of file wdxmutmisc.cs.

static double Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.GetTime | ( |  | ) | `[static]`

Get the current time.

Definition at line 459 of file dxmutmisc.cs.

static double Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.GetTime | ( |  | ) | `[static]`

Get the current time.

Definition at line 459 of file dxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.Reset | ( |  | ) | `[static]`

Resets the timer.

Definition at line 363 of file wdxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.Reset | ( |  | ) | `[static]`

Resets the timer.

Definition at line 363 of file dxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.Reset | ( |  | ) | `[static]`

Resets the timer.

Definition at line 363 of file dxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.Start | ( |  | ) | `[static]`

Starts the timer.

Definition at line 384 of file wdxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.Start | ( |  | ) | `[static]`

Starts the timer.

Definition at line 384 of file dxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.Start | ( |  | ) | `[static]`

Starts the timer.

Definition at line 384 of file dxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.Stop | ( |  | ) | `[static]`

Stop (or pause) the timer.

Definition at line 406 of file wdxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.Stop | ( |  | ) | `[static]`

Stop (or pause) the timer.

Definition at line 406 of file dxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.FrameworkTimer.Stop | ( |  | ) | `[static]`

Stop (or pause) the timer.

Definition at line 406 of file dxmutmisc.cs.

## Property Documentation

static bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkTimer::IsStopped`[static, get]`

Returns true if timer stopped.

Definition at line 499 of file dxmutmisc.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutmisc.cs